curl -X POST "https://api.destined.ai/v1/stt/transcribe" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"audio_url": "https://example.com/audio.wav",
"providers": ["deepgram-nova-3", "assemblyai", "openai"]
}'
const results = await client.sttTesting.transcribeV1SttTranscribePost({
audioUrl: "https://example.com/audio.wav",
providers: ["deepgram-nova-3", "assemblyai", "openai"],
});
{
"results": {
"deepgram-nova-3": {
"transcript": "Hello, this is a test.",
"latency_ms": 450,
"confidence": 0.98
},
"assemblyai": {
"transcript": "Hello, this is a test.",
"latency_ms": 620,
"confidence": 0.97
},
"openai": {
"transcript": "Hello, this is a test.",
"latency_ms": 850,
"confidence": 0.95
}
}
}
STT Testing
Transcribe Audio
Transcribe audio using multiple STT providers
POST
/
v1
/
stt
/
transcribe
curl -X POST "https://api.destined.ai/v1/stt/transcribe" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"audio_url": "https://example.com/audio.wav",
"providers": ["deepgram-nova-3", "assemblyai", "openai"]
}'
const results = await client.sttTesting.transcribeV1SttTranscribePost({
audioUrl: "https://example.com/audio.wav",
providers: ["deepgram-nova-3", "assemblyai", "openai"],
});
{
"results": {
"deepgram-nova-3": {
"transcript": "Hello, this is a test.",
"latency_ms": 450,
"confidence": 0.98
},
"assemblyai": {
"transcript": "Hello, this is a test.",
"latency_ms": 620,
"confidence": 0.97
},
"openai": {
"transcript": "Hello, this is a test.",
"latency_ms": 850,
"confidence": 0.95
}
}
}
Request Body
string
required
URL to the audio file (WAV, MP3, or M4A)
array
required
List of providers to use. Options:
deepgram-nova-3, deepgram-flux, assemblyai, openai, google, azure, amazon, soniox, playhtResponse
object
required
Object with provider names as keys and transcription results as values
curl -X POST "https://api.destined.ai/v1/stt/transcribe" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"audio_url": "https://example.com/audio.wav",
"providers": ["deepgram-nova-3", "assemblyai", "openai"]
}'
const results = await client.sttTesting.transcribeV1SttTranscribePost({
audioUrl: "https://example.com/audio.wav",
providers: ["deepgram-nova-3", "assemblyai", "openai"],
});
{
"results": {
"deepgram-nova-3": {
"transcript": "Hello, this is a test.",
"latency_ms": 450,
"confidence": 0.98
},
"assemblyai": {
"transcript": "Hello, this is a test.",
"latency_ms": 620,
"confidence": 0.97
},
"openai": {
"transcript": "Hello, this is a test.",
"latency_ms": 850,
"confidence": 0.95
}
}
}
⌘I